package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.RiskDisclosurePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraRiskDisclosureDO;

import java.util.List;

/**
 * （附件）风险知情书 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyExtraRiskDisclosureService {

    /**
     * 创建风险知情书
     */
    Long create(ElderlyExtraRiskDisclosureDO createReqVO);

    /**
     * 编辑风险知情书
     */
    void update(ElderlyExtraRiskDisclosureDO updateReqVO);

    /**
     * 删除风险知情书
     */
    void delete(Long id);

    /**
     * 分页查询
     */
    PageResult<ElderlyExtraRiskDisclosureDO> findPage(RiskDisclosurePageReqVO reqVO);

    /**
     * 获取详情
     */
    ElderlyExtraRiskDisclosureDO getDetail(Long id);

    /**
     * 根据长者ID获取列表
     */
    List<ElderlyExtraRiskDisclosureDO> getListByElderId(Long elderId);

}
